> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Pickup Methods

GET https://api.bigcommerce.com/stores/{store_hash}/v3/pickup/methods

Retrieves a list of pickup methods.

## Examples

You can filter this list to return pickup method objects specific to a list of requested pickup method IDs. This is achieved by appending the query string `?id:in=1,3,5` to the resource `/pickup/methods`.

```http
GET /pickup/methods?id:in=1,3,5
```

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/pickup/pickup-methods/get-pickup-methods

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Fulfillment | read-only | `store_order_fulfillment_read_only` | | Order Fulfillment | modify | `store_order_fulfillment_manage` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `id:in` (long, optional) — Comma separated list of pickup method IDs.
- `limit` (long, optional) — Maximum number of results per page.
- `page` (long, optional) — The number of the page to be fetched.
- `date_created` (datetime, optional) — Filter pickup methods by the date created. Return methods created on the provided date. For example, `date_created=2023-09-07T06:23:13Z`.
- `date_created:min` (datetime, optional) — Filter pickup methods by minimum date created. Return methods created after the provided date. For example, `date_created:min=2023-09-07T06:23:13Z`.
- `date_created:max` (datetime, optional) — Filter pickup methods by maximum date created. Return methods created before the provided date. For example, `date_created:max=2023-09-07T06:23:13Z`.
- `date_modified` (datetime, optional) — Filter pickup methods by date modified. Return methods modified on the provided date. For example, `date_modified=2023-09-07T06:23:13Z`.
- `date_modified:min` (datetime, optional) — Filter pickup methods by minimum date modified. Return methods modified after the provided date. For example, `date_modified:min=2023-09-07T06:23:13Z`.
- `date_modified:max` (datetime, optional) — Filter pickup methods by maximum date modified. Return methods modified before the provided date. For example, `date_modified:max=2023-09-07T06:23:13Z`.
- `sort` (enum, optional) — Sort pickup methods by date_modified:* or name:* ; for example, `sort=name:asc`. - `date_modified:asc` - sort by date modified in ascending order - `date_modified:desc` - sort by date modified in descending order - `name:asc` - sort by name in ascending order - `name:desc` - sort by name in descending order
  - Allowed values: `date_modified:asc`, `date_modified:desc`, `name:asc`, `name:desc`

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

The request has been processed and a list of pickup methods has been returned successfully.

- `data` (list of PickupMethodResponse, optional)
- `meta` (MetaCollection, optional)

## Types

### PickupMethodResponse

- `id` (integer, optional) — The ID of the pickup method.
- `location_id` (integer, optional) — The ID of the location.
- `display_name` (string, optional) — Title of the pickup method.
- `collection_instructions` (string, optional) — Instructions for picking up items.
- `collection_time_description` (string, optional) — The description of collection time.
- `date_created` (datetime, optional) — Filter pickup methods by time created. Time is presented in ISO-8601 format.
- `date_modified` (datetime, optional) — Filter pickup methods by time modified. Time is presented in ISO-8601 format.
- `location_identity` (integer, optional, deprecated)

### MetaCollection

- `pagination` (MetaCollectionPagination, optional)

### MetaCollectionPagination

- `total` (integer, optional) — Total number of items in the result set.
- `count` (integer, optional) — The total number of items in the collection on the current page.
- `per_page` (integer, optional) — The amount of items returned in the collection per page, controlled by the limit parameter.
- `current_page` (integer, optional) — The page you are currently on within the collection.
- `total_pages` (integer, optional) — The total number of pages in the collection.
- `links` (MetaCollectionPaginationLinks, optional) — Pagination links for the previous and next parts of the whole collection.

### MetaCollectionPaginationLinks

Pagination links for the previous and next parts of the whole collection.

- `previous` (string, optional) — A link to the previous page is returned in the response.
- `current` (string, optional) — A link to the current page is returned in the response.
- `next` (string, optional) — A link to the next page is returned in the response.

## Examples

**Response**

```json
{
  "data": [
    {
      "id": 1,
      "location_id": 2,
      "display_name": "Office Pickup!",
      "collection_instructions": "Bring your ID!",
      "collection_time_description": "Collect during our opening hours of 0900 - 1700",
      "date_created": "2023-06-06T00:00:20Z",
      "date_modified": "2023-06-08T00:00:20Z",
      "location_identity": 2
    }
  ],
  "meta": {
    "pagination": {
      "total": 123,
      "count": 100,
      "per_page": 100,
      "current_page": 1,
      "total_pages": 2,
      "links": {
        "previous": "string",
        "current": "string",
        "next": "string"
      }
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/pickup/methods"

querystring = {"date_created":"2023-09-07T06:23:13Z","date_created:max":"2023-09-07T06:23:13Z","date_created:min":"2023-09-07T06:23:13Z","date_modified":"2023-09-07T06:23:13Z","date_modified:max":"2023-09-07T06:23:13Z","date_modified:min":"2023-09-07T06:23:13Z"}

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/pickup/methods?date_created=2023-09-07T06%3A23%3A13Z&date_created%3Amax=2023-09-07T06%3A23%3A13Z&date_created%3Amin=2023-09-07T06%3A23%3A13Z&date_modified=2023-09-07T06%3A23%3A13Z&date_modified%3Amax=2023-09-07T06%3A23%3A13Z&date_modified%3Amin=2023-09-07T06%3A23%3A13Z';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/pickup/methods?date_created=2023-09-07T06%3A23%3A13Z&date_created%3Amax=2023-09-07T06%3A23%3A13Z&date_created%3Amin=2023-09-07T06%3A23%3A13Z&date_modified=2023-09-07T06%3A23%3A13Z&date_modified%3Amax=2023-09-07T06%3A23%3A13Z&date_modified%3Amin=2023-09-07T06%3A23%3A13Z"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/pickup/methods?date_created=2023-09-07T06%3A23%3A13Z&date_created%3Amax=2023-09-07T06%3A23%3A13Z&date_created%3Amin=2023-09-07T06%3A23%3A13Z&date_modified=2023-09-07T06%3A23%3A13Z&date_modified%3Amax=2023-09-07T06%3A23%3A13Z&date_modified%3Amin=2023-09-07T06%3A23%3A13Z")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/pickup/methods?date_created=2023-09-07T06%3A23%3A13Z&date_created%3Amax=2023-09-07T06%3A23%3A13Z&date_created%3Amin=2023-09-07T06%3A23%3A13Z&date_modified=2023-09-07T06%3A23%3A13Z&date_modified%3Amax=2023-09-07T06%3A23%3A13Z&date_modified%3Amin=2023-09-07T06%3A23%3A13Z")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/pickup/methods?date_created=2023-09-07T06%3A23%3A13Z&date_created%3Amax=2023-09-07T06%3A23%3A13Z&date_created%3Amin=2023-09-07T06%3A23%3A13Z&date_modified=2023-09-07T06%3A23%3A13Z&date_modified%3Amax=2023-09-07T06%3A23%3A13Z&date_modified%3Amin=2023-09-07T06%3A23%3A13Z', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/pickup/methods?date_created=2023-09-07T06%3A23%3A13Z&date_created%3Amax=2023-09-07T06%3A23%3A13Z&date_created%3Amin=2023-09-07T06%3A23%3A13Z&date_modified=2023-09-07T06%3A23%3A13Z&date_modified%3Amax=2023-09-07T06%3A23%3A13Z&date_modified%3Amin=2023-09-07T06%3A23%3A13Z");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/pickup/methods?date_created=2023-09-07T06%3A23%3A13Z&date_created%3Amax=2023-09-07T06%3A23%3A13Z&date_created%3Amin=2023-09-07T06%3A23%3A13Z&date_modified=2023-09-07T06%3A23%3A13Z&date_modified%3Amax=2023-09-07T06%3A23%3A13Z&date_modified%3Amin=2023-09-07T06%3A23%3A13Z")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```